import React from 'react';
import {
	TouchableOpacity,
	View,
	Text,
	StyleSheet,
	ImageBackground,
} from 'react-native';

const CategoryGridTile = (props) => {
	return (
		<View style={styles.gridItem}>
			<TouchableOpacity style={{ flex: 1 }} onPress={props.onSelect}>
				<View style={styles.container}>
					<ImageBackground
						source={props.image}
						style={styles.bgImage}
					>
						<View style={styles.titleContainer}>
							<Text style={styles.title} numberOfLines={2}>
								{props.title}
							</Text>
						</View>
					</ImageBackground>
				</View>
			</TouchableOpacity>
		</View>
	);
};

const styles = StyleSheet.create({
	gridItem: {
		flex: 1,
		margin: 5,
		height: 160,
		borderRadius: 5,
		overflow: 'hidden',
		backgroundColor: 'rgba(0,0,0, 0.5)',
	},
	container: {
		flex: 1,
		shadowColor: 'black',
		shadowOpacity: 0.26,
		shadowOffset: { width: 0, height: 2 },
		shadowRadius: 10,
		elevation: 0,
		justifyContent: 'flex-end',
		alignItems: 'flex-end',
	},
	titleContainer: {
		backgroundColor: 'rgba(0,0,0, 0.5)',
		paddingVertical: 5,
		paddingHorizontal: 12,
	},
	title: {
		fontFamily: 'open-sans',
		fontSize: 16,
		color: 'white',
		textAlign: 'right',
	},
	bgImage: {
		width: '100%',
		height: '100%',
		justifyContent: 'flex-end',
	},
});

export default CategoryGridTile;
