import React from 'react';
import { View, Text, StyleSheet } from 'react-native';
import { Ionicons } from '@expo/vector-icons';

const Title = (props) => {
	return (
		<View style={styles.container}>
			<View style={styles.iconContainer}>
				<Ionicons
					name={
						props.pointerIcon
							? props.pointerIcon
							: 'ios-square-sharp'
					}
					size={14}
					color={props.pointerColor ? props.pointerColor : 'gray'}
					style={styles.icon}
				/>
			</View>
			<View style={styles.textContainer}>
				<Text style={{ ...styles.text, ...props.style }}>
					{props.children}
				</Text>
			</View>
		</View>
	);
};

const styles = StyleSheet.create({
	container: {
		flexDirection: 'row',
		marginBottom: 5,
	},
	iconContainer: {
		flex: 1,
	},
	icon: {
		paddingVertical: 3,
	},
	textContainer: {
		flex: 13,
	},
	text: {
		fontFamily: 'open-sans',
		fontSize: 16,
	},
});

export default Title;
