import React from 'react';
import { Text, StyleSheet, Linking } from 'react-native';
import Colors from '../constants/Colors';

const TextLink = (props) => {
	return (
		<Text
			style={{ ...styles.text, ...props.style }}
			onPress={() => Linking.openURL(props.linkTo)}
		>
			{props.children}
		</Text>
	);
};

const styles = StyleSheet.create({
	text: {
		fontFamily: 'open-sans-bold',
		fontSize: 16,
		color: Colors.accentColor,
	},
});

export default TextLink;
