import React from 'react';
import { View, StyleSheet, Image, ScrollView } from 'react-native';
import Paragraph from '../components/Paragraph';
import ListItem from '../components/ListItem';
import Title from '../components/Title';
import StrongText from '../components/StrongText';

const CareerCenterScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../assets/images/content/career-center.jpg')}
				/>
			</View>

			<View style={styles.textContainer}>
				<Title>DID YOU KNOW THAT..</Title>
				<Paragraph>
					Those who are sure about their employment a year or more
					before graduating are more satisfied with their jobs (both
					financially and in terms of their job descriptions).
				</Paragraph>
				<Paragraph>
					We are here to offer you the opportunity to take action on
					your future during your studies, starting from the first
					semester
				</Paragraph>
				<ListItem>PERSONAL CONSULTATION</ListItem>
				<ListItem>DEVELOPMENT AND EDUCATIONAL WORKSHOPS</ListItem>
				<ListItem>
					MEETING COMPANY REPRESENTATIVES ON OUR PROGRAMMES {'\n'}
					(Pitch Bootcamp, Discover Company, FAQ Job Market, Sideoff
					University)
				</ListItem>
				<Paragraph>
					<StrongText>Ask us</StrongText> - Follow the news and read
					the university email regularly. Or visit us directly. SIC239
					„The chamber of highest need – only those who really need us
					will find it“
				</Paragraph>
			</View>
		</ScrollView>
	);
};

CareerCenterScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'CZU career center',
	};
};

const styles = StyleSheet.create({
	imageContainer: {
		flex: 1,
		justifyContent: 'flex-end',
		alignItems: 'flex-end',
		height: 250,
		marginBottom: 10,
	},
	image: {
		width: '100%',
		height: 100,
	},
	nameContainer: {
		backgroundColor: 'rgba(0,0,0, 0.5)',
		paddingVertical: 10,
		paddingHorizontal: 15,
	},
	name: {
		fontFamily: 'open-sans',
		fontSize: 18,
		color: 'white',
		textAlign: 'right',
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default CareerCenterScreen;
