import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import Paragraph from '../components/Paragraph';
import Title from '../components/Title';
import ListItem from '../components/ListItem';
import StrongText from '../components/StrongText';
import AccentParagraph from '../components/AccentParagraph';

const WhoWeAreScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../assets/images/content/who-we-are.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Title>History of the university</Title>
				<Paragraph>
					The history of CZU‘s formation dates back to 1906 when, on
					26th of October, Emperor Franz Joseph I approved the
					establishment of an independent agricultural department at
					the Czech Technical University in Prague. Important
					agricultural expert Professor Julius Stoklasa became the
					dean at the time. In 1920, the department was transformed
					into the School of Agriculture and Forestry Engineering at
					the Czech Technical University in Prague. The independent
					University of Agriculture was founded in 1952 and was named
					the Czech University of Life Sciences Prague on 1st of
					January in 1995. Since then, the university has educated
					tens of thousands of experts, many of whom have worked in
					leading positions throughout multiple sectors of Czech and
					world businesses. They have significantly contributed to the
					development of both the national and world economy while
					also participating in the development of scientific
					disciplines and education of new experts.
				</Paragraph>
				<Title>Structure</Title>
				<Paragraph>
					The Czech University of Life Sciences Prague offers students
					education at six faculties and the university institute:
				</Paragraph>
				<View>
					<ListItem style={styles.listItem}>
						Faculty of Economics and Management – FEM
					</ListItem>
					<ListItem style={styles.listItem}>
						Faculty of Agrobiology, Food and Natural Resources –
						FAFNR
					</ListItem>
					<ListItem style={styles.listItem}>
						Faculty of Engineering – FE
					</ListItem>
					<ListItem style={styles.listItem}>
						Faculty of Forestry and Wood Sciences – FFWS
					</ListItem>
					<ListItem style={styles.listItem}>
						Faculty of Environmental Sciences – FES
					</ListItem>
					<ListItem style={styles.listItem}>
						Faculty of Tropical AgriSciences – FTA
					</ListItem>
					<ListItem style={styles.listItem}>
						Institute of Education and Communication – IEC
					</ListItem>
				</View>
				<Paragraph>
					Other parts of the university include the
					<StrongText>
						University Farm Estate Lány, University Forest
						Establishment in Kostelec nad Černými lesy, the
						University Viticultural Centre Mělník, Department of
						Physical Education
					</StrongText>
					or the <StrongText>CZU Library.</StrongText>
				</Paragraph>
				<AccentParagraph>
					<Title style={{ color: 'white' }}>
						CZU in international networks
					</Title>
					<Paragraph style={{ color: 'white' }}>
						The Czech University of Life Sciences Prague is part of
						a number of prestigious international networks, such as
						Euroleague for Life Sciences (ELLS), Association for
						European Life Science Universities (ICA), Danube
						Rectors‘ Conference, Central and South Eastern Europe
						(ICA Regional Network), Agrinatura – The European
						Alliance on Agricultural Knowledge for Development or
						the European University Association.
					</Paragraph>
				</AccentParagraph>
			</View>
		</ScrollView>
	);
};

WhoWeAreScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Who are we?',
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
	listItem: {
		fontFamily: 'open-sans-bold',
	},
});

export default WhoWeAreScreen;
