import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import Paragraph from '../../components/Paragraph';
import StrongText from '../../components/StrongText';
import Title from '../../components/Title';
import ListItem from '../../components/ListItem';
import AccentParagraph from '../../components/AccentParagraph';
import TextLink from '../../components/TextLink';

const EconomicsAndManagementScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/faculties/fem-cover.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Paragraph>
					The faculty offers students a wide range of education
					covering the entire field of management, economics and
					communication technologies, not only from the agrarian
					sector and related industries.
				</Paragraph>
				<View>
					<ListItem>
						Over 8,000 students are studying at the faculty, and
						more than 300 employees work here.
					</ListItem>
					<ListItem>
						The faculty consists of 12 departments and 8 other
						workplaces.
					</ListItem>
					<ListItem>The dean: Ing. Martin Pelikán, Ph.D.</ListItem>
				</View>
				<AccentParagraph backgroundColor="#b62429">
					<Title style={styles.whiteText}>Contacts</Title>
					<View>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-earth"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://pef.czu.cz"
							>
								pef.czu.cz
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-twitter"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://twitter.com/pefczucz"
							>
								twitter.com/pefczucz
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-facebook"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://facebook.com/PEF.czu.cz"
							>
								facebook.com/PEF.czu.cz
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-instagram"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://instagram.com/pefczucz"
							>
								instagram.com/pefczucz
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-linkedin"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://linkedin.com/school/pef_czu_v_praze"
							>
								linkedin.com/school/pef_czu_v_praze
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-youtube"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://youtube.com/pefczucz"
							>
								youtube.com/pefczucz
							</TextLink>
						</ListItem>
					</View>
				</AccentParagraph>
				<Title>Study Administration Office</Title>
				<StrongText>Head of the Study Administration Office</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Mgr. Ivana Berníková
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 360"
						>
							+420 224 382 360
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:bernikova@pef.czu.cz"
						>
							bernikova@pef.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room PEF/E224
					</ListItem>
				</View>
				<StrongText>
					Study Administration officer for courses taught in English
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Eva Šimková (full-time studies, fields: EM, BA, INFOA,
						EADA, Most centre)
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 328"
						>
							+420 224 382 328
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:simkova@pef.czu.cz"
						>
							simkova@pef.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room PEF/E228
					</ListItem>
				</View>
				<Title>International Relations Office</Title>
				<StrongText>
					Head of the International Relations Office
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">Ing. Jan Hučko</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 313"
						>
							+420 224 382 313
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:huckoj@pef.czu.cz"
						>
							huckoj@pef.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room CEMS II/D 237
					</ListItem>
				</View>
				<StrongText>
					Coordinator of incoming Erasmus+ and Exchange students
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Ing. Daniel Dědina, Ph.D.
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 906"
						>
							+420 224 382 906
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:dedina@pef.czu.cz"
						>
							dedina@pef.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room CEMS II/D 244
					</ListItem>
				</View>
				<StrongText>
					Coordinator of outgoing Erasmus+ and Exchange students
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Ing. Veronika Brecklová
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 323"
						>
							+420 224 382 323
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:pefoutgoing@pef.czu.cz"
						>
							pefoutgoing@pef.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room PEF/E229
					</ListItem>
					<ListItem pointerIcon="ios-location">
						CEMS II/D 244
					</ListItem>
				</View>

				<StrongText>
					Coordinators of individual study programmes taught in
					English
				</StrongText>
				<View style={{ marginBottom: 10 }}>
					<ListItem pointerIcon="ios-person">
						Ing. Jana Sluková (Bachelor in Business Administration,
						Master in European Agrarian Diplomacy)
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 061"
						>
							+420 224 382 061
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:slukovaj@pef.czu.cz"
						>
							slukovaj@pef.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room CEMS II/D 229
					</ListItem>
				</View>
				<View style={{ marginBottom: 10 }}>
					<ListItem pointerIcon="ios-person">
						Ing. Julius Fördöš (Bachelor in Economics and
						Management)
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 424"
						>
							+420 224 382 424
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:fordos@pef.czu.cz"
						>
							fordos@pef.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room CEMS II/D 227
					</ListItem>
				</View>
				<View style={{ marginBottom: 10 }}>
					<ListItem pointerIcon="ios-person">
						Ing. Martin Kozák (Bachelor in Informatics, Master in
						Informatics)
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 382 905"
						>
							+420 224 382 905
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:kozakm@pef.czu.cz"
						>
							kozakm@pef.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room CEMS II/D 235
					</ListItem>
				</View>

				<AccentParagraph backgroundColor="#b62429">
					<Title style={styles.whiteText}>FEM Info Centre</Title>
					<View>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-information-circle"
						>
							Study information, consulting
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-location"
						>
							Ground floor of the Faculty of Economics and
							Management (door number E110)
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-call"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="tel:+420 224 384 345"
							>
								+420 224 384 345
							</TextLink>
						</ListItem>
					</View>
				</AccentParagraph>
			</View>
		</ScrollView>
	);
};

EconomicsAndManagementScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Faculty of Economics and Management',
		headerStyle: {
			backgroundColor: '#b62429',
		},
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
	whiteText: {
		color: 'white',
		marginBottom: 5,
	},
	accentLink: {
		color: 'white',
		fontFamily: 'open-sans',
	},
	normalLink: {
		color: 'black',
		fontFamily: 'open-sans',
	},
});

export default EconomicsAndManagementScreen;
