import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import Paragraph from '../../components/Paragraph';
import StrongText from '../../components/StrongText';
import Title from '../../components/Title';
import ListItem from '../../components/ListItem';
import AccentParagraph from '../../components/AccentParagraph';
import TextLink from '../../components/TextLink';

const EnvironmentalSciencesScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/faculties/fes-cover.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Paragraph>
					The faculty offers students a wide range of education
					covering the fields of ecology, nature conservation,
					landscape engineering, water resources management, land use
					planning, geoinformatics or environmental modelling.
				</Paragraph>
				<View>
					<ListItem>
						Over 2,500 students are studying at the faculty, and
						more than 100 employees work here
					</ListItem>
					<ListItem>
						The faculty consists of 6 departments, 9 laboratories
						and 7 profile teams
					</ListItem>
					<ListItem>
						The dean: prof. RNDr. Vladimír Bejček, CSc.
					</ListItem>
				</View>
				<AccentParagraph backgroundColor="#1a91a1">
					<Title style={styles.whiteText}>Contacts</Title>
					<View>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-earth"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://www.fzp.czu.cz/en"
							>
								fzp.czu.cz
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-twitter"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://twitter.com/FesCuls"
							>
								twitter.com/FesCuls
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-facebook"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://facebook.com/FZP.czu.cz"
							>
								facebook.com/FZP.czu.cz
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-instagram"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://instagram.com/fzp_czu"
							>
								instagram.com/fzp_czu
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.whiteText}
							pointerColor="white"
							pointerIcon="ios-logo-youtube"
						>
							<TextLink
								style={styles.accentLink}
								linkTo="https://youtube.com/user/FZPvPraze"
							>
								youtube.com/user/FZPvPraze
							</TextLink>
						</ListItem>
					</View>
				</AccentParagraph>
				<Title>Study Administration Office</Title>
				<StrongText>Head of the Study Administration Office</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Ing. Renáta Beránková
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 383 765"
						>
							+420 224 383 765
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:berankovar@fzp.czu.cz"
						>
							berankovar@fzp.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room MCEV/229
					</ListItem>
				</View>
				<StrongText>
					Coordinator of bachelor‘s programmes taught in English
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">Ventová Milena</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 22438 3855"
						>
							+420 22438 3855
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:ventova@fzp.czu.cz"
						>
							ventova@fzp.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room MCEV/221
					</ListItem>
				</View>
				<StrongText>
					Coordinator of master‘s degree programmes taught in English
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">Glosová Radka</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 384 883"
						>
							+420 224 384 883
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:glosovar@fzp.czu.cz"
						>
							glosovar@fzp.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room MCEV/221
					</ListItem>
				</View>
				<Title>International Relations Office</Title>
				<StrongText>
					Admissions for bachelor‘s degree programmes taught in
					English
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Ing. Hana Honsová
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 383 685"
						>
							+420 224 383 685
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:honsovahana@rektorat.czu.cz"
						>
							honsovahana@rektorat.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:admission_fes@fzp.czu.cz"
						>
							admission_fes@fzp.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room MCEV/219
					</ListItem>
				</View>
				<StrongText>
					Coordinator of Erasmus+ incoming students, Admissions for
					master‘s degree programmes taught in English
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Mgr. Jitka Rendlová
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 383 685"
						>
							+420 224 383 685
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:rendlova@fzp.czu.cz"
						>
							rendlova@fzp.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:admission_fes@fzp.czu.cz"
						>
							admission_fes@fzp.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room MCEV/219
					</ListItem>
				</View>
				<StrongText>
					Coordinator of Erasmus+ outgoing students
				</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Ing. Aneta Bolding
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 383 685"
						>
							+420 224 383 685
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:boldinga@fzp.czu.cz"
						>
							boldinga@fzp.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:admission_fes@fzp.czu.cz"
						>
							admission_fes@fzp.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room MCEV/219
					</ListItem>
				</View>
				<StrongText>Coordinator of Erasmus+ internships</StrongText>
				<View>
					<ListItem pointerIcon="ios-person">
						Ing. Zdeňka Šmrhová
					</ListItem>
					<ListItem pointerIcon="ios-call">
						<TextLink
							style={styles.normalLink}
							linkTo="tel:+420 224 383 685"
						>
							+420 224 383 685
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-mail">
						<TextLink
							style={styles.normalLink}
							linkTo="mailto:smrhovaz@fzp.czu.cz"
						>
							smrhovaz@fzp.czu.cz
						</TextLink>
					</ListItem>
					<ListItem pointerIcon="ios-location">
						room MCEV/219
					</ListItem>
				</View>
			</View>
		</ScrollView>
	);
};

EnvironmentalSciencesScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Faculty of Environmental Sciences',
		headerStyle: {
			backgroundColor: '#1a91a1',
		},
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
	whiteText: {
		color: 'white',
		marginBottom: 5,
	},
	accentLink: {
		color: 'white',
		fontFamily: 'open-sans',
	},
	normalLink: {
		color: 'black',
		fontFamily: 'open-sans',
	},
});

export default EnvironmentalSciencesScreen;
