import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';
import DefaultText from '../../components/DefaultText';
import AccentParagraph from '../../components/AccentParagraph';
import StrongText from '../../components/StrongText';
import ListItem from '../../components/ListItem';
import Title from '../../components/Title';
import TextLink from '../../components/TextLink';

const ElectronicWalletScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Paragraph>
					The University Electronic Wallet (UEP) is an electronic
					payment system for students and employees of CZU. It
					provides users with a simple and centralized way of paying
					for the goods and services offered by the university and its
					contractual partners on campus. The wallet is uploaded to
					the student ID for a fee of CZK 300, which is a refundable
					deposit. You can use it to pay for dormitory and study fees,
					meals in Menza (refectory), at vending machines, as well as
					in some cafeterias and restaurants on campus. The{' '}
					<TextLink linkTo="https://food.czu.cz">
						food.czu.cz
					</TextLink>{' '}
					website lists facilities where students can take advantage
					of discounts on food. To receive the discount, students must
					upload a monthly coupon to the card. This can be done at any
					UEP kiosk.
				</Paragraph>
				<Paragraph>
					The card can be charged during the initial activation at the
					CZU Library cash desk by depositing cash. Cash recharging of
					the UEP can be done at self-service machines (UEP kiosks)
					located around the university. The University Electronic
					Wallet can also be charged by bank transfer. For more
					information, visit{' '}
					<TextLink linkTo="https://www.oikt.czu.cz/en/r-16553-provided-services-tutorials-and-information/r-16632-university-electronic-wallet">
						uep.czu.cz
					</TextLink>{' '}
					(Our services – University Electronic Wallet).
				</Paragraph>
				<Title>Placement of UEP charging kiosks</Title>
				<View>
					<ListItem>in the FEM lobby;</ListItem>
					<ListItem>
						next to the CZU Library student cash desk;
					</ListItem>
					<ListItem>in the Menza lobby – 3 kiosks;</ListItem>
					<ListItem>in the JIH dormitory lobby;</ListItem>
					<ListItem>in the FE lobby;</ListItem>
					<ListItem>at FAFNR (by the main entrance);</ListItem>
					<ListItem>
						on the ground floor of the FES (under the staircase).
					</ListItem>
				</View>
			</View>
		</ScrollView>
	);
};

ElectronicWalletScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'University Electronic Wallet',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default ElectronicWalletScreen;
