import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';
import DefaultText from '../../components/DefaultText';
import AccentParagraph from '../../components/AccentParagraph';
import TextLink from '../../components/TextLink';

const HousingScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Paragraph>
					The advantage of the dormitories is their location on the
					university campus. Prices range from 2,340 CZK to 3,750 CZK
					for one month (without fees for additional services).
				</Paragraph>
				<Paragraph>
					Accommodation must be requested electronically via the
					iskam.czu.cz portal. Whether a dormitory is allocated to a
					student is determined by a number of criteria, such as the
					distance of residence, commuting time, health reasons or
					grades.
				</Paragraph>
				<Paragraph>
					Amenities include Wi-Fi and laundry services. You can book
					rooms for meetings, lounging, or playing table tennis.
					Students can also stay in the dormitory during the summer
					holiday months.
				</Paragraph>
				<AccentParagraph>
					<DefaultText
						style={{ color: 'white', textAlign: 'center' }}
					>
						More information about accommodation can be found at{' '}
						<TextLink linkTo="https://www.kam.czu.cz/en">
							kam.czu.cz
						</TextLink>
					</DefaultText>
				</AccentParagraph>
			</View>
		</ScrollView>
	);
};

HousingScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Housing',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default HousingScreen;
