import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';
import DefaultText from '../../components/DefaultText';
import AccentParagraph from '../../components/AccentParagraph';
import StrongText from '../../components/StrongText';
import ListItem from '../../components/ListItem';
import Title from '../../components/Title';
import TextLink from '../../components/TextLink';

const MealsScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Title>Menza</Title>
				<Paragraph>
					Some of the first steps of new students usually lead to
					Menza. Our university refectory offers lunch and dinner. You
					can choose from sweet or savoury, and meat or vegetarian
					dishes. There are six meals in total, along with a pasta and
					salad bar. Moreover, each student can use the subsidy
					programme.
				</Paragraph>
				<Paragraph>
					With the UEP, students receive a discount on their meals,
					only paying for the value of the raw materials (stated as
					the CZU price). The additional costs of the catering
					services are covered by the university. It is not necessary
					to order food in advance. Payments are made in cash, by
					credit card or cashless card of the UEP system. Students who
					do not have an ISIC can, of course, use the Menza catering
					services, but can only pay for them in cash or by credit
					card without the right to a subsidy.
				</Paragraph>
				<AccentParagraph>
					<DefaultText
						style={{ color: 'white', textAlign: 'center' }}
					>
						Lunch: 11.15–14.15
					</DefaultText>
					<DefaultText
						style={{ color: 'white', textAlign: 'center' }}
					>
						Dinner: 16.45–18.15
					</DefaultText>
				</AccentParagraph>
				<Title>Other food options</Title>
				<View>
					<ListItem>
						<StrongText>buffets</StrongText> – at individual
						faculties, at the CZU Library, in the Circular Pavilion;
					</ListItem>
					<ListItem>
						you can also try{' '}
						<StrongText>Řeznictví u Rudolfa</StrongText> (Rudolf
						Butcher Shop) at the main entrance to the premises;
					</ListItem>
					<ListItem>
						<StrongText>restaurants</StrongText> – Klub C,
						Restaurant G (entry via dormitory G or in the direction
						from the stadium), Na Farmě (Menza building), Crêperie
						Café Girafe (Zemědělská univerzita bus stop);
					</ListItem>
					<ListItem>
						<StrongText>bars and clubs</StrongText> – JIH, club
						Kruháč (basement of the Circular Pavilion);
					</ListItem>
					<ListItem>
						<StrongText>stands</StrongText> at the entrance to the
						premises;
					</ListItem>
					<ListItem>
						there are also <StrongText>markets</StrongText> every
						Thursday at the entry to the CZU premises.
					</ListItem>
				</View>
				<Paragraph>
					You can use your student ID card to pay at all locations
					marked with the UEP logo.
				</Paragraph>
				<Title>Food point</Title>
				<Paragraph>
					All full-time CZU students have the opportunity to buy food
					with subsidies at most catering facilities on campus. A
					sticker with the FOOD POINT logo easily identifies these
					operations, and you can always find the selection of
					subsidized meals on the menu labelled with this logo. If you
					want to use the subsidy programme, it is necessary to pay
					with your student card and have a discount coupon uploaded
					for the respective month. Coupons can be uploaded at the UEP
					kiosks. For other information, visit{' '}
					<TextLink linkTo="https://food.czu.cz">
						food.czu.cz
					</TextLink>
					.
				</Paragraph>
			</View>
		</ScrollView>
	);
};

MealsScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Meals',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default MealsScreen;
