import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';
import ListItem from '../../components/ListItem';

const StudentIdScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Paragraph>
					One of the most important documents that should always be
					with you is the student identity card (SIDC). This is a
					multifunctional smart card that serves as a CZU ID card
					throughout the study period (including repeated, follow-up,
					interrupted, etc.). The card provides access to
					laboratories, loans at the library, meals on campus, and
					offers many other benefits and discounts. If a student is
					staying at the CZU dormitories, the Student ID also allows
					access to the dormitory building where the student is
					staying. To get the card, you must provide proper study
					enrolment paperwork and upload a photo in the correct format
					to the university system. The card will be issued in the
					Card centre in the CZU Library (1st floor, no. 236b). For
					its creation, it is necessary to submit a statement of study
					or your national ID card. For the SIDC to be operational, it
					needs to be activated within five business days at the
					student cash desk in the CZU Library lobby (ground floor).
					Full-time students can have their ISIC/CZU student ID card
					issued while distance studies students will have an
					ALIVE/CZU student ID card.
				</Paragraph>
				<View>
					<ListItem>Basic SIDC activation costs CZK 100</ListItem>
					<ListItem>
						Activation of ISIC/ALIVE card costs CZK 100
					</ListItem>
					<ListItem>
						Annual license for ISIC and ALIVE costs CZK 180
					</ListItem>
				</View>
				<Paragraph>
					You can also upload the university electronic wallet (UEP)
					application on your SIDC.{' '}
				</Paragraph>
			</View>
		</ScrollView>
	);
};

StudentIdScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Student ID',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default StudentIdScreen;
