import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';

const UniversityPremisesScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Paragraph>
					Your first days on campus will be fast-paced. You will be
					occupied arranging the necessities for your studies, such as
					the student identity card, textbooks, dorms, etc. To help
					you navigate, we have prepared a site map with a list of all
					classrooms on pages 46 to 49. For additional assistance, do
					not hesitate to ask or take the virtual tour, which can be
					found on the university website.
				</Paragraph>
				<Paragraph>
					The university is located in one place. This means that all
					commonly scheduled classrooms for teaching are in this area
					(except for the Institute of Education and Communication).
					Each classroom has a specific numerical designation. When
					the number is in Roman numerals (II, III, V, etc.), these
					are lecture rooms and are usually on the ground floor of the
					buildings. For other rooms, the first digit always indicates
					the floor where the room is located.
				</Paragraph>
				<Paragraph>
					A distinctive feature of the university is its integrated
					campus where you will find everything you need during your
					studies - accommodation, places for relaxation, and a rich
					variety of food and sports facilities. The individual
					faculties offer modern teaching and research facilities in
					the form of lecture halls, laboratories, seminar rooms,
					greenhouses, experimental and demonstration stables, or
					libraries.
				</Paragraph>
				<Paragraph>
					The advantage of these premises is its location on the
					outskirts of the metropolis, ensuring a sufficiently calm
					environment while also being easily accessible from the
					city. By bus (line 107 or 147), which runs every two minutes
					during peak hours, it is possible to reach the city centre
					easily in twenty minutes.{' '}
				</Paragraph>
			</View>
		</ScrollView>
	);
};

UniversityPremisesScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: ' University premises',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default UniversityPremisesScreen;
