import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';
import TextLink from '../../components/TextLink';

const ImportantRegulationsScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Paragraph>
					The determining legislative regulation governing higher
					education in the Czech Republic is Act No. 111/1998 Coll.,
					On Higher Education Institutions and Amendments to Other
					Acts (Act on Higher Education Institutions). The primary
					document governing the organization and activities of each
					university is its Statute. Throughout your studies, the
					Study and Examination Rules, which set out the exact rules,
					rights and obligations of the student, are especially
					relevant to you. There are two of these study and
					examination regulations at the CZU, one regulating studies
					in bachelor‘s and master‘s study programmes and the other
					for doctoral studies. You can find them together along with
					other important internal regulations at{' '}
					<TextLink linkTo="https://www.czu.cz/en/r-9188-study/r-9253-study-documents">
						www.czu.cz in the Study - Study Documents
					</TextLink>{' '}
					section. Different rules to get acquainted with at the
					beginning of your studies are the CZU Scholarship Rules, the
					CZU Disciplinary Rules, the Schedule of the Academic Year,
					Determination of Study-Related Fees and Payment Amounts for
					Provided Services. It is also essential to follow the safety
					rules, rules of the dormitory network etc.
				</Paragraph>
			</View>
		</ScrollView>
	);
};

ImportantRegulationsScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Important regulations',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default ImportantRegulationsScreen;
