import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';
import StrongText from '../../components/StrongText';
import Title from '../../components/Title';
import DefaultText from '../../components/DefaultText';
import AccentParagraph from '../../components/AccentParagraph';
import TextLink from '../../components/TextLink';

const ScholarshipsScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Paragraph>
					Talented and hardworking students have the opportunity to
					obtain a merit scholarship at CZU. Individual faculties are
					in charge of these contributions. Another benefit is an
					accommodation scholarship.
				</Paragraph>
				<Paragraph>
					The rules and requirements for receiving scholarships can be
					found at{' '}
					<TextLink linkTo="https://www.czu.cz/en/r-9188-study/r-9253-study-documents">
						www.czu.cz in the Study - Study Documents
					</TextLink>{' '}
					. Up-to-date information for scholarships can be obtained
					via a school email or in the Study Information System
				</Paragraph>
				<Title>Accommodation scholarship</Title>
				<Paragraph>
					Entitlement to the accommodation scholarship arises if the
					student studies full-time, does not study at another
					university in the Czech Republic, has not exceeded the
					standard length of study, lives permanently elsewhere than
					in Prague or is on a study internship abroad (in this case,
					students in the distance form of studies are also eligible).
					You can apply for the scholarship electronically in the
					University Information System. The accommodation scholarship
					is paid retroactively over three months in January, April
					and July. The scholarship is not paid for the period
					July-September.
				</Paragraph>
				<AccentParagraph>
					<DefaultText
						style={{ color: 'white', textAlign: 'center' }}
					>
						Remember that you must enter your account number in the
						UIS; otherwise, no awarded scholarship can be paid to
						you! Only accounts in banks located in the Czech
						Republic can be entered into UIS. You can add the
						account in the University Information System in the
						section Student‘s portal - Study financing - Bank
						connection.
					</DefaultText>
				</AccentParagraph>
			</View>
		</ScrollView>
	);
};

ScholarshipsScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Scholarships',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default ScholarshipsScreen;
