import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';
import StrongText from '../../components/StrongText';
import AccentParagraph from '../../components/AccentParagraph';
import ListItem from '../../components/ListItem';
import TextLink from '../../components/TextLink';

const SecurityScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Paragraph>
					The CZU Security Department is responsible for the
					protection of CZU as a whole, i.e. the protection of the
					life and health of employees and students, the protection of
					movable and immovable property and the protection of
					information. It sets security standards, methodically
					manages their implementation and controls compliance.
				</Paragraph>
				<AccentParagraph>
					<StrongText style={styles.linkText}>
						GUARDS AND FIRE REPORTING
					</StrongText>
					<View>
						<ListItem
							style={styles.linkText}
							pointerColor="white"
							pointerIcon="ios-earth"
						>
							<TextLink
								style={styles.link}
								linkTo="https://bezpecnost.czu.cz"
							>
								bezpecnost.czu.cz
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.linkText}
							pointerColor="white"
							pointerIcon="ios-call"
						>
							<TextLink
								style={styles.link}
								linkTo="tel:+420 224 382 222"
							>
								+420 224 382 222
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.linkText}
							pointerColor="white"
							pointerIcon="ios-mail"
						>
							<TextLink
								style={styles.link}
								linkTo="mailto:ostraha@czu.cz"
							>
								ostraha@czu.cz
							</TextLink>
						</ListItem>
					</View>
					<StrongText style={styles.linkText}>
						SECURITY DEPARTMENT
					</StrongText>
					<View>
						<ListItem
							style={styles.linkText}
							pointerColor="white"
							pointerIcon="ios-call"
						>
							<TextLink
								style={styles.link}
								linkTo="tel:+420 224 382 423"
							>
								+420 224 382 423
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.linkText}
							pointerColor="white"
							pointerIcon="ios-mail"
						>
							<TextLink
								style={styles.link}
								linkTo="mailto:bezpecnost@czu.cz"
							>
								bezpecnost@czu.cz
							</TextLink>
						</ListItem>
						<ListItem
							style={styles.linkText}
							pointerColor="white"
							pointerIcon="ios-mail"
						>
							<TextLink
								style={styles.link}
								linkTo="mailto:security@czu.cz"
							>
								security@czu.cz
							</TextLink>
						</ListItem>
					</View>
				</AccentParagraph>
				<Paragraph>
					<StrongText>
						It is forbidden to bring any weapons onto the CZU campus
						and any of its buildings, including all workplaces,
						facilities and dormitories.
					</StrongText>{' '}
					Smoking is prohibited on campus, including outdoor spaces
					unless within designated areas. It is also forbidden to
					consume alcoholic beverages and abuse other addictive
					substances on the CZU campus and any of its workplaces. CZU
					security operates non-stop and also serves as a fire report
					office. It is located at the lodge of the Rectorate
					building.{' '}
					<StrongText>Quiet hours are from 22.00 to 6.00.</StrongText>
				</Paragraph>
				<AccentParagraph>
					<StrongText style={styles.whiteText}>
						ACTIVITIES OF THE SECURITY DEPARTMENT:
					</StrongText>
					<View>
						<ListItem style={styles.whiteText} pointerColor="white">
							physical security;
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							transport;
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							security systems;
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							information and cybersecurity;
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							GDPR;
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							AED defibrillators;
						</ListItem>
						<ListItem style={styles.whiteText} pointerColor="white">
							transport.
						</ListItem>
					</View>
				</AccentParagraph>
			</View>
		</ScrollView>
	);
};

SecurityScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Security at CZU',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
	whiteText: {
		color: 'white',
	},
	linkText: {
		color: 'white',
		marginBottom: 5,
	},
	link: {
		color: 'white',
		fontFamily: 'open-sans',
	},
});

export default SecurityScreen;
