import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import Paragraph from '../../components/Paragraph';
import StrongText from '../../components/StrongText';
import AccentParagraph from '../../components/AccentParagraph';
import DefaultText from '../../components/DefaultText';

const ShopScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/content/czu-shop.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<Paragraph>
					CZU Shop is located on the
					<StrongText> ground floor at Menza</StrongText>. You can buy
					a variety of CZU and faculty merchandise and monthly or
					quarterly passes for public transportation. Students can
					also find school supplies, scientific books written by CZU
					experts, healthy snacks, and eco-friendly products and
					cosmetics here. Enjoy the opportunity to support
					<StrongText> products of the university</StrongText> such as
					wine or beer and from students‘ start-up companies which are
					under the wings of CZU business incubator Point One.
				</Paragraph>
				<AccentParagraph>
					<DefaultText style={{ color: 'white' }}>
						In the CZU Shop on the ground floor of Menza, it is also
						possible to buy time passes for Prague Integrated
						Transport.
					</DefaultText>
				</AccentParagraph>
			</View>
		</ScrollView>
	);
};

ShopScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'CZU Shop',
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default ShopScreen;
