import React from 'react';
import { View, StyleSheet, ScrollView } from 'react-native';
import Paragraph from '../../components/Paragraph';
import StrongText from '../../components/StrongText';
import TextLink from '../../components/TextLink';

const StudyAbroadScreen = (props) => {
	return (
		<ScrollView>
			<View style={styles.textContainer}>
				<Paragraph>
					Go abroad with the <StrongText>Erasmus+</StrongText>{' '}
					programme! As part of the programme, students can
					participate in two types of mobility: practical internships
					(work abroad) of at least 2 months (including graduate
					internships) for students from the first year of bachelor‘s
					study or study stays for students from the second year of
					bachelor‘s study of at least 3 months. Along with gaining
					experience from around the world, you will receive a{' '}
					<StrongText>
						scholarship from 330 to 660 EUR a month
					</StrongText>{' '}
					for studying or working abroad.
				</Paragraph>
				<Paragraph>
					In addition to Erasmus+ mobility, there are other
					opportunities to go abroad not only for semester studies at
					universities around the world but also, for example, summer
					school in Asia or North America. General information about
					this excellent study opportunity can be found at{' '}
					<TextLink linkTo="https://www.czu.cz/en/r-9190-international-relations">
						czu.cz (International Relations)
					</TextLink>
					. Here you can find out how and where to go while reading
					about the past experiences of graduates and their
					recommendations on staying abroad.
				</Paragraph>
			</View>
		</ScrollView>
	);
};

StudyAbroadScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Study abroad',
	};
};

const styles = StyleSheet.create({
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default StudyAbroadScreen;
