import React from 'react';
import { View, StyleSheet, ScrollView, Image } from 'react-native';
import LinkButton from '../../components/LinkButton';

const StudyInformationScreen = (props) => {
	return (
		<ScrollView>
			<View>
				<Image
					style={styles.image}
					resizeMode="cover"
					source={require('../../assets/images/content/practical-information.jpg')}
				/>
			</View>
			<View style={styles.textContainer}>
				<LinkButton
					title="Academic year"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'AcademicYear',
						});
					}}
				/>
				<LinkButton
					title="Important regulations"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'ImportantRegulations',
						});
					}}
				/>
				<LinkButton
					title="Study abroad"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'StudyAbroad',
						});
					}}
				/>
				<LinkButton
					title="Scholarships"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'Scholarships',
						});
					}}
				/>
				<LinkButton
					title="Information systems"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'InformationSystems',
						});
					}}
				/>
				<LinkButton
					title="Security at CZU"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'Security',
						});
					}}
				/>
				<LinkButton
					title="The CZU Library"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'Library',
						});
					}}
				/>
				<LinkButton
					title="Textbooks for sale"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'Textbooks',
						});
					}}
				/>
				<LinkButton
					title="CZU E-shop"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'Eshop',
						});
					}}
				/>
				<LinkButton
					title="CZU Shop"
					onPress={() => {
						props.navigation.navigate({
							routeName: 'Shop',
						});
					}}
				/>
			</View>
		</ScrollView>
	);
};

StudyInformationScreen.navigationOptions = (navigationData) => {
	return {
		headerTitle: 'Study Information',
	};
};

const styles = StyleSheet.create({
	image: {
		width: '100%',
		height: 100,
	},
	textContainer: {
		paddingVertical: 10,
		paddingHorizontal: 20,
	},
});

export default StudyInformationScreen;
